If this hasn't been reported already...

In the community version of Zimbra 8 there is a bug while installing certificates. Should you make a mistake in choosing files for the server cert, the root cert, or the intermediate cert, you get an error (as you should). However, all subsequent attempts using correct files also fail and produce a single-line dialog box:

You must choose a certificate file.

There is no additional detail.

After having reissued myself a cert several times and pulled hair out for three hours, I found that logging out of the Administration site and logging back in allows you to install the cert.